Use the performQuickActions() call to perform a specific quick action. Returns an array of PerformQuickActionResult objects.
In API version 46.0 and later, the apiName for a global quick action can include the prefix Global. in a performQuickActions() request body. The request body also accepts global quick action API names without the prefix.
Note
If you’re accessing the API using a custom community URL and you use the performQuickActions() call to create a group, the group is only available within that community.
Note
The OutgoingEmail entity can be created only via calls from the performQuickAction API.
Note
Sample—Java
This sample uses a quick action to create a new contact.
1public void example() throws Exception {23 PerformQuickActionRequest req = new PerformQuickActionRequest();45 Contact con = new Contact();6 con.setLastName("Smith");78 req.setQuickActionName("Account.QuickCreateContact");9 req.setParentId("001D000000JSaHa");10/* For version 29.0 and greater, use setContextId */11 req.setRecords(new SObject[]{ con }); //you can only save one record here12 PerformQuickActionResult[]pResult = 13 conn.performQuickActions(new PerformQuickActionRequest[]{ req });14 for(PerformQuickActionResult pr : pResult){15 assert pr.getSuccess();16 assert pr.getCreated();17 assert pr.getErrors().length == 0;18 System.out.println("Id of the record created: " + pr.getIds()[0]);19 System.out.println("Id of the feeditem for action performed: " + 20 pr.getFeedItemIds()[0]);21}22}